Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.suggestion.util
Class UnsignedShort

    java.lang.Object
      com.verisign.epp.codec.suggestion.util.UnsignedShort

All Implemented Interfaces:
  java.io.Serializable

    public class UnsignedShort

extends java.lang.Object
implements java.io.Serializable

This class doesn't really implement a complete Unsigned Short because it uses a short primitive. The primitive is simply prohibited from being negative, so the maximum value of this class is half of the maximum value of a true UnsignedShort value.

Author:
  jcolosi
See Also:
  Serialized Form

Field Summary
`static short` | `NONE`
`static java.lang.String` | `NONE_STRING`
`protected short` | `shortValue`

Constructor Summary
`UnsignedShort()` Constructor.
`UnsignedShort(short aShortValue)` Constructor.
`UnsignedShort(java.lang.String aShortValueAsString)` Constructor.

Method Summary
`java.lang.Object` | `clone()`
`boolean` | `equals(java.lang.Object o)`
`short` | `get()` Get the unsigned short value.
`UnsignedShort` | `getRandom()` Get a random unsigned short value.
`boolean` | `isSet()` Is the value set.
`void` | `set(short aShortValue)` Set an unsigned short value.
`void` | `set(java.lang.String aShortValueAsString)` Set an unsigned short value as string.
`java.lang.String` | `toString()`
`void` | `unset()` Unset the value.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static short NONE

### NONE_STRING

    public static java.lang.String NONE_STRING

### shortValue

    protected short shortValue

Constructor Detail

### UnsignedShort

    public UnsignedShort()

  Constructor.

### UnsignedShort

    public UnsignedShort(short aShortValue)
                  throws InvalidValueException

  Constructor.

  Parameters:
    `aShortValue` - an unsigned short value
  Throws:
    `InvalidValueException`

### UnsignedShort

    public UnsignedShort(java.lang.String aShortValueAsString)
                  throws InvalidValueException

  Constructor.

  Parameters:
    `aShortValueAsString` - an unsigned short value as string
  Throws:
    `InvalidValueException`

Method Detail

### get

    public short get()

  Get the unsigned short value.

  Returns:
    an unsigned short value

### isSet

    public boolean isSet()

  Is the value set.

  Returns:
    true if it is set

### set

    public void set(short aShortValue)
             throws InvalidValueException

  Set an unsigned short value.

  Parameters:
    `aShortValue` - an unsigned short value
  Throws:
    `InvalidValueException`

### set

    public void set(java.lang.String aShortValueAsString)
             throws InvalidValueException

  Set an unsigned short value as string.

  Parameters:
    `aShortValueAsString` - an unsigned short value as string
  Throws:
    `InvalidValueException`

### unset

    public void unset()

  Unset the value.

### getRandom

    public UnsignedShort getRandom()

  Get a random unsigned short value.

  Returns:
    an unsigned short value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.